Update or move apex domain
PATCH
https://api.vercel.com/v3/domains/{domain}Update or move apex domain. Note: This endpoint is no longer used for updating auto-renew or nameservers. For this, please use the endpoints Update auto-renew for a domain and Update nameservers for a domain.
https://api.vercel.com/v3/domains/{domain}
const response = await fetch('https://api.vercel.com/v3/domains/domain?teamId=string&slug=string', { method: 'PATCH', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', }, body: JSON.stringify({ "op": "update", "renew": "true", "customNameservers": [], "zone": "true", "echMode": "auto" }),});
const data = await response.json();console.log(data);Response
{ "moved": "false"}AuthorizationbearerToken
Default authentication mechanism
application/json
This field is deprecated. Please use PATCH /v1/registrar/domains/{domainName}/auto-renew instead.
This field is deprecated. Please use PATCH /v1/registrar/domains/{domainName}/nameservers instead.